#version 120

uniform float pixel=1;

varying vec4 color;
varying vec2 textureCoord;
uniform vec2 textureSize;
uniform sampler2D sampler0;

void main()
{
	vec2 uv = textureCoord;
	uv = floor(uv * textureSize * pixel) / pixel / textureSize;

	gl_FragColor = texture2D( sampler0, uv ) * color;
}
