#version 120

varying vec4 color;
varying vec2 textureCoord;
uniform sampler2D sampler0;

uniform float amount = 1.0;

void main() {
	vec3 col = texture2D( sampler0, textureCoord ).rgb;
	vec3 sepia = vec3(1+.5*amount, 1+.1*amount, 1-.4*amount);
    float gray = (col.r + col.g + col.b) / 3.0;

	gl_FragColor = vec4( (.2*amount)+gray*sepia*(1-.4*amount), 1.0 ) * color;
}
