#version 120

uniform float wibble = 0.0;

varying vec4 color;
varying vec2 imageCoord;
uniform vec2 textureSize;
uniform vec2 imageSize;
uniform sampler2D sampler0;

uniform float time;

void main()
{
	vec2 uv = imageCoord;

  uv.x += sin(time+uv.y*20.)*0.02*wibble;
  uv.y += cos(time+uv.x*20.)*0.02*wibble;

	uv = uv / textureSize * imageSize;

	gl_FragColor = vec4(vec3(texture2D( sampler0, uv ) * color), color[3]);
}